%define name    gtksozluk2
%define version 0
%define release 2

Summary: GTK ile yazilmis bir sozluk yazilimi
Name:      %{name}
Version:   %{version}
Release:   %{release}
Vendor:	   Ali Vardar <ali@linuxprogramlama.com>
Packager:  Devrim Gunduz <devrim@gunduz.org>
Copyright: GPL
Group: Applications/Accessories
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2, glib2
BuildRequires: 	gtk2-devel, glib2-devel
Url: http://www.linuxprogramlama.com/?sayfa=gtksozluk2.htm
Prefix: /usr/local

%description
GTKszluk uygulamas, Linux altnda GPL olarak yazlan ilk szlk programdr. Bu srm,
GTK2 ile batan yazlmtr. Sadece GTK ktphanesi kullanlmtr.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=/usr/local --exec-prefix=/usr/bin
make

%install
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/share/gtksozluk2/data
cp src/gtksozluk2  $RPM_BUILD_ROOT/usr/bin
cp src/ingtur-ing  $RPM_BUILD_ROOT/usr/local/share/gtksozluk2
cp src/ingtur-tur  $RPM_BUILD_ROOT/usr/local/share/gtksozluk2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/share/gtksozluk2/ingtur-ing
%{prefix}/share/gtksozluk2/ingtur-tur
%{_bindir}/%{name}
%doc AUTHORS README COPYING ChangeLog

%postun
    if [ -x /usr/local/share/gtksozluk2 ]; then
      rm -rf  /usr/local/share/gtksozluk2
    fi

%changelog
* Sun Oct  1 2003 Devrim Gunduz <devrim@gunduz.org> 2.0-1
- spec dosyasi duzenlendi.

* Sun Oct  1 2003 Devrim Gunduz <devrim@gunduz.org> 2.0-1
- 2 serisi icin ilk rpm
